Save(1.8)

NAME
Save - the AfterStep desktop-layout saving module

SYNOPSIS
Save [-f config_file] [-v | --version] [-h | --help]

Although Save can be run from the command line, it is normally spawned by afterstep from within an afterstep menu file by 'Save':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Save"
	Module "Save" Save
	MiniPixmap "mini-as.xpm"

DESCRIPTION
When called, this module will attempt to save your current desktop layout into a file called .xinitrc. Usually, you will have to edit it to get a useable configuration, so be sure to keep a backup of your old .xinitrc.

Your applications must supply certain hints to the X window system. Emacs, for example, does not, so Save can't get any information from it.

Also, Save assumes that certain command line options are globally accepted by applications, which may not be the case. AND DON'T FORGET AFTERSTEP ALREADY SAVES DESKTOP INTO ~/GNUstep/Library/AfterStep/.windows file, called from autoexec ! Using both Save and AfterStep default saving will save twice the same window, therefore open it twice on next startup !

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Save will eventually search a configuration file which describes the time-outs and actions to take. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/save file will be used if it exists. Else, /usr/local/share/afterstep/save will be used.

INVOCATION
Save can be invoked by inserting the line 'Save' in "~/GNUstep/Library/AfterStep/start/Modules/Save desktop" file. It can be bound to a menu or mouse button or keystroke in feel file to invoke it later. AfterStep will search directory specified in the ModulePath configuration option to attempt to locate Save.

CONFIGURATION OPTIONS
Sorry, but there is none at the moment. Moreover, which options could be useful ?

AUTHORS
Per Persson <pp@solace.mh.se>
Robert Nation
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1)